跳转至

源站组接口

POST 编辑源组列表 cdn:domain:edit

POST /prod-api/cdn/layer7/origin/modifyOriginGroup

Body 请求参数

{
  "originGroupId": 1338,
  "originGroupName": "1_1_1_1",
  "originRecords": [
    {
      "recordId": 1493,
      "record": "1.1.1.1",
      "weight": null
    }
  ]
}

请求参数

名称 位置 类型 必选 中文名 说明
Authorization header string -
body body ModifyOriginGroupsReqVO ModifyOriginGroupsReqVO -

返回示例

200 Response

{"msg":"成功","code":200,"data":{"domainId":null,"originGroupId":1338,"originGroupName":"1_1_1_1","originRecords":[{"recordId":1493,"record":"1.1.1.1","weight":null}]}}

返回结果

状态码 状态码含义 说明 数据模型
200 OK OK Inline
201 Created Created -
401 Unauthorized Unauthorized -
403 Forbidden Forbidden -
404 Not Found Not Found -

返回数据结构

状态码 200

名称 类型 必选 约束 中文名 说明
» msg string true - -
» code integer true - -
» data object true - -
»» domainId null true - -
»» originGroupId integer true - -
»» originGroupName string true - -
»» originRecords [object] true - -
»»» recordId integer false - -
»»» record string false - -
»»» weight null false - -

数据模型

ModifyOriginGroupsReqVO

{
  "domainId": 0,
  "originGroupId": 0,
  "originGroupName": "string",
  "originRecords": [
    {
      "record": "string",
      "recordId": 0,
      "weight": 0
    }
  ]
}

ModifyOriginGroupsReqVO

属性

名称 类型 必选 约束 中文名 说明
domainId integer(int64) false - -
originGroupId integer(int64) true - 源组id 唯一的id
originGroupName string true - 组名 -
originRecords [OriginRecords] true - 源站信息 -

OriginRecords

{
  "record": "string",
  "recordId": 0,
  "weight": 0
}

OriginRecords

属性

名称 类型 必选 约束 中文名 说明
record string true - 源站地址 源站地址暂时不支持IP与域名共存
recordId integer(int64) false - 源id -
weight integer(int32) false - 权重 -